﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private CustomListView1 As CustomListView
	Private expandable As CLVExpandable
	Private ImageView1 As ImageView
	Private Label1 As Label
	Private lblTitle As Label
	Private pnlExpanded As Panel
	Private pnlTitle As Panel
	Private clvexpanded As CustomListView
	Public x0, y0 As Int
	Public scrollindex As Int = 0
	Private B4XSeekBar1 As B4XSeekBar
	Public clvindex As Int
	Public clvmap As Map
	Public clvselections As List
End Sub
Public Sub Initialize
' when you are using Android 14 and you get a blank starter screen
' then remove the starter module from the project (if you are not using the starter module)
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	clvmap.Initialize
	clvselections.Initialize
	clvselections.Clear
	expandable.Initialize(CustomListView1)
	For i = 0 To 10
		Dim innerclvitemcnt As Int = i + 3
		Dim p As B4XView = CreateItem(i,innerclvitemcnt,0xFFFCFFC5, "title " & i, "note " & i, 400dip + 60dip)
		p.Tag = i
		CustomListView1.Add(p, expandable.CreateValue(p, i))
	Next
	Log(clvmap)
End Sub
Private Sub CustomListView1_ItemClick (Index As Int, Value As Object)
	expandable.ToggleItem(Index)
	clvexpanded = clvmap.Get("clv" & Index)
	clvindex = Index
	Log(clvselections)
End Sub
Private Sub CustomListView1_ItemLongClick (Index As Int, Value As Object)
	
End Sub
Sub CreateItem(index As Int, innercnt As Int, clr As Int, Title As String,note As String, ExpandedHeight As Int) As B4XView
	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, CustomListView1.AsView.Width, ExpandedHeight)
	p.LoadLayout("item_layout")
	p.SetLayoutAnimated(0, 0, 0, p.Width, p.GetView(0).Height)
	lblTitle.Text = Title
	pnlTitle.Color = clr
	pnlExpanded.Color = 0xFFF7D08A
	pnlExpanded.height = 300dip
	For j = 0 To innercnt
		clvexpanded.AddTextItem("item " & j,"value " & j & " from title " & index)
	Next
	clvmap.Put("clv" & index,clvexpanded)
	Label1.Text = note & " item count: " & innercnt
	B4XSeekBar1.Value = 0
	B4XSeekBar1.Tag = index
	B4XSeekBar1.MinValue = 0
	B4XSeekBar1.MaxValue = innercnt
	Return p
End Sub
Private Sub clvexpanded_ItemClick (Index As Int, Value As Object)
	clvexpanded.GetPanel(Index).Color = xui.Color_Magenta
	clvselections.Add(Value)
End Sub
Private Sub B4XSeekBar1_ValueChanged (Value As Int)
	Dim skb As B4XSeekBar = Sender
	If clvindex = skb.Tag Then
		Dim innerclv As CustomListView = clvmap.Get("clv" & clvindex)
		innerclv.ScrollToItem(Value)
		innerclv.Refresh
		Log("scroll to: " & Value)		
	End If
End Sub
